Subject: bug#55832: 28.1; Emacs crashes when using tramp from helm in emacs-29

From: Michael Albinus <[email-masked]>
Date: Sat, 11 Jun 2022 22:07:37 +0200

Thierry Volpiatto <[email-masked]> writes:

Hi Thierry,

>> (setq tramp-verbose 10 tramp-debug-to-file t)
>
> Ah nice, with those setting instead of crashing emacs hang and I can
> recuperate with C-g, here the tramp log:
>
> https://gist.github.com/thierryvolpiatto/96b5d3bacc92deac1fad275eede69354

Thanks. The trace looks surprising, again and again

--8<---------------cut here---------------start------------->8---
21:38:47.713417 tramp-get-remote-id (5) # Finding POSIX `id' command
--8<---------------cut here---------------end--------------->8---

I'll try to analyze tomorrow what could have triggered this behavior. If
not successful, I'll ask you for instrumentation of Tramp.

> Thanks.

Best regards, Michael.